Bug 87338 - RTL justification in cross-reference list window
Summary: RTL justification in cross-reference list window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2014-12-15 17:19 UTC by Boruch Baum
Modified: 2018-11-09 03:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example of the bug (28.53 KB, application/vnd.oasis.opendocument.text)
2015-02-17 15:33 UTC, Boruch Baum
Details
screenshot of cross references dialog (46.75 KB, image/png)
2017-10-15 21:02 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boruch Baum 2014-12-15 17:19:12 UTC
In Libre-Office Writer, when inserting a cross-reference to an endnote, a pop-up window appears which includes a selection list of the current endnotes. When the entire document and its endnotes are in an RTL language (ie. Hebrew), the elements of the list appear in the window, justified flush-left. They should be justified flush-right.
Comment 1 Buovjaga 2014-12-16 12:10:38 UTC
Please attach a sample document and set back to UNCONFIRMED.
Comment 2 Boruch Baum 2015-02-17 15:33:32 UTC
Created attachment 113465 [details]
example of the bug
Comment 3 Buovjaga 2015-02-17 17:58:22 UTC
(In reply to Boruch Baum from comment #2)
> Created attachment 113465 [details]
> example of the bug

Confirmed with Insert - Cross-reference - Endnotes.

Win 7 Pro 64-bit, LibO Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: fi_FI
Comment 4 QA Administrators 2016-02-21 08:34:38 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 14:58:16 UTC Comment hidden (obsolete)
Comment 6 Lior Kaplan 2017-10-13 14:34:37 UTC
Still happens in 5.4.1 (Debian GNU/Linux)
Comment 7 Yousuf Philips (jay) (retired) 2017-10-15 21:02:03 UTC
Created attachment 137003 [details]
screenshot of cross references dialog
Comment 8 Omer Zak 2017-11-08 19:26:11 UTC
I am adding explicit instructions for reproducing the bug.
* Insert / Cross Reference / Endnotes / Page (actually any selection will do)
* See the reported screenshot (selections are left-justified even though they are Hebrew strings).

Actually, I see the same behavior also when doing the following:
* Insert / Cross Reference / Headings / Page (actually any selection will do)
* See that selections are left-justified in the Selection pane even though they are Hebrew strings.

The above was seen in:

Version: 6.0.0.0.alpha1+
Build ID: 6070dec9ca9a15587a2aece81f9ae1ab5ac0f8c4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
(Build from 2017-Nov-05 00:00)

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 9 QA Administrators 2018-11-09 03:59:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug